Skip to main content
POST

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

consumerOfferId
string<uuid>
required

Identifier of the consumer offer

Body

application/json

Consumer offer cancellation action.

cancellationType
enum<string>
required

Cancellation type

  • END_OF_TERM: consumer retains access to the service until the end of the current term
  • IMMEDIATE: consumer immediately loses access to the service
Available options:
END_OF_TERM,
IMMEDIATE
reasonCode
enum<string>
required

Cancellation reason

  • NOT_RENEWED: Customer has not renewed their entitlement
  • CHANGED_SERVICE: Customer has changed content provider/service
  • SUBSCRIPTION_CANCELLED: Customer has cancelled the subscription
  • ADDON_CANCELLED: Customer has cancelled the add-on
  • EXPIRED: Scheduled cancellation by Bango (based on dateExpiry set during entitlement creation by the reseller)
  • OTHER: Cancelled for any other reason
  • ACCOUNT_TERMINATED: Consumer has closed their account with the reseller
  • SUSPEND_TERMINATED: Suspended entitlement has been cancelled based on suspension terms
  • ERROR: Consumer offer/subscription created by mistake
  • FRAUD: Fraud detected or suspected
  • IMMEDIATE_CANCELLATION: Cancellation for fraud or suspected fraud reasons
Available options:
NOT_RENEWED,
CHANGED_SERVICE,
SUBSCRIPTION_CANCELLED,
ADDON_CANCELLED,
EXPIRED,
ACCOUNT_TERMINATED,
SUSPEND_TERMINATED,
ERROR,
FRAUD,
IMMEDIATE_CANCELLATION,
CUSTOMER_CANCELLED,
OTHER
reasonDescription
string

Human readable description of the reason for cancelling

Maximum string length: 500

Response

Accepted

Consumer offer in a get response.

consumerOffer
ConsumerOfferCancellationDetail · object
required

Consumer offer detail